<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Rendu SVG piloté par le réseau: Référence du fichier include/module/log.hpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo.jpg"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Rendu SVG piloté par le réseau
   &#160;<span id="projectnumber">v1.0</span>
   </div>
   <div id="projectbrief">Projet informatique de Licence 3 ingénerie informatique</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li><li class="navelem"><a class="el" href="dir_dc1aacf9e28ad733d01de42bc03b5008.html">module</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Fonctions</a>  </div>
  <div class="headertitle">
<div class="title">Référence du fichier log.hpp</div>  </div>
</div><!--header-->
<div class="contents">

<p>Module de log de debogage.  
<a href="#details">Plus de détails...</a></p>
<div class="textblock"><code>#include &lt;stdlib.h&gt;</code><br />
<code>#include &lt;stdio.h&gt;</code><br />
<code>#include &lt;iostream&gt;</code><br />
<code>#include &lt;string&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Ce graphe montre quels fichiers incluent directement ou indirectement ce fichier :</div>
<div class="dyncontent">
<div class="center"><img src="log_8hpp__dep__incl.png" border="0" usemap="#include_2module_2log_8hppdep" alt=""/></div>
<map name="include_2module_2log_8hppdep" id="include_2module_2log_8hppdep">
<area shape="rect" id="node2" href="affichage_8hpp.html" title="Classe de l&#39;affichange graphique du serveur général. " alt="" coords="5,155,185,181"/>
<area shape="rect" id="node3" href="serveur_8hpp.html" title="Classe du serveur général. " alt="" coords="163,304,334,331"/>
<area shape="rect" id="node4" href="parsage_8hpp.html" title="Classe de parsage de document XML du serveur général. " alt="" coords="285,155,458,181"/>
<area shape="rect" id="node5" href="socket_8hpp.html" title="Classe de la socket du serveur général. " alt="" coords="312,229,479,256"/>
<area shape="rect" id="node6" href="typage_8hpp.html" title="Module de vérification de type. " alt="" coords="312,80,489,107"/>
</map>
</div>
</div>
<p><a href="log_8hpp_source.html">Aller au code source de ce fichier.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a4407b4d6eae3ba7fe9538b1242a7e165"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="log_8hpp.html#a4407b4d6eae3ba7fe9538b1242a7e165">DEBUG_INFO</a>&#160;&#160;&#160;true</td></tr>
<tr class="separator:a4407b4d6eae3ba7fe9538b1242a7e165"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a22ae4c4cebea059bbe99204f8623dc44"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="log_8hpp.html#a22ae4c4cebea059bbe99204f8623dc44">DEBUG_SUCCESS</a>&#160;&#160;&#160;true</td></tr>
<tr class="separator:a22ae4c4cebea059bbe99204f8623dc44"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a4e4885193c12b840ff3cbedec2451d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="log_8hpp.html#a8a4e4885193c12b840ff3cbedec2451d">DEBUG_WARNING</a>&#160;&#160;&#160;true</td></tr>
<tr class="separator:a8a4e4885193c12b840ff3cbedec2451d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49bce9dafa991fde5616257caa9e3c4a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="log_8hpp.html#a49bce9dafa991fde5616257caa9e3c4a">DEBUG_ERROR</a>&#160;&#160;&#160;true</td></tr>
<tr class="separator:a49bce9dafa991fde5616257caa9e3c4a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02736c2650b0ed5f197cae5207ff6e35"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="log_8hpp.html#a02736c2650b0ed5f197cae5207ff6e35">DEBUG_MARKER</a>&#160;&#160;&#160;true</td></tr>
<tr class="separator:a02736c2650b0ed5f197cae5207ff6e35"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ce3d6fee94f21c9e3d0ffdd90aadc2e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="log_8hpp.html#a7ce3d6fee94f21c9e3d0ffdd90aadc2e">STYLE_BOLD</a>&#160;&#160;&#160;&quot;\033[01;&quot;</td></tr>
<tr class="separator:a7ce3d6fee94f21c9e3d0ffdd90aadc2e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab240226bb68975ee0f31899f188c71a7"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="log_8hpp.html#ab240226bb68975ee0f31899f188c71a7">FOREGROUND_CYAN</a>&#160;&#160;&#160;&quot;36m&quot;</td></tr>
<tr class="separator:ab240226bb68975ee0f31899f188c71a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7e7564b3b0cf8504f5af0f1330d1134"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="log_8hpp.html#ac7e7564b3b0cf8504f5af0f1330d1134">FOREGROUND_GREEN</a>&#160;&#160;&#160;&quot;32m&quot;</td></tr>
<tr class="separator:ac7e7564b3b0cf8504f5af0f1330d1134"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1ee9d42c453a5b8529e5d492d4abb17f"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="log_8hpp.html#a1ee9d42c453a5b8529e5d492d4abb17f">FOREGROUND_ORANGE</a>&#160;&#160;&#160;&quot;33m&quot;</td></tr>
<tr class="separator:a1ee9d42c453a5b8529e5d492d4abb17f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef543dc7ad78ec1b81e744bff6c9c075"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="log_8hpp.html#aef543dc7ad78ec1b81e744bff6c9c075">FOREGROUND_RED</a>&#160;&#160;&#160;&quot;31m&quot;</td></tr>
<tr class="separator:aef543dc7ad78ec1b81e744bff6c9c075"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a8d63e9fa43af8f83e9009a6dabd379"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="log_8hpp.html#a5a8d63e9fa43af8f83e9009a6dabd379">FOREGROUND_GRAY</a>&#160;&#160;&#160;&quot;90m&quot;</td></tr>
<tr class="separator:a5a8d63e9fa43af8f83e9009a6dabd379"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abadd0d9f6ba46167da47ff05d65915ac"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="log_8hpp.html#abadd0d9f6ba46167da47ff05d65915ac">FOREGROUND_MAGENTA</a>&#160;&#160;&#160;&quot;35m&quot;</td></tr>
<tr class="separator:abadd0d9f6ba46167da47ff05d65915ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab702106cf3b3e96750b6845ded4e0299"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="log_8hpp.html#ab702106cf3b3e96750b6845ded4e0299">RESET</a>&#160;&#160;&#160;&quot;\033[00;m&quot;</td></tr>
<tr class="separator:ab702106cf3b3e96750b6845ded4e0299"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Fonctions</h2></td></tr>
<tr class="memitem:af7b103f090258a8569cd05d802726b0d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="log_8hpp.html#af7b103f090258a8569cd05d802726b0d">LogInfo</a> (string filename, string message)</td></tr>
<tr class="memdesc:af7b103f090258a8569cd05d802726b0d"><td class="mdescLeft">&#160;</td><td class="mdescRight">méthode de création d'un log de type informatif  <a href="#af7b103f090258a8569cd05d802726b0d">Plus de détails...</a><br /></td></tr>
<tr class="separator:af7b103f090258a8569cd05d802726b0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2e095f380888b1b6f301da32adc020b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="log_8hpp.html#ab2e095f380888b1b6f301da32adc020b">LogSuccess</a> (string filename, string message)</td></tr>
<tr class="memdesc:ab2e095f380888b1b6f301da32adc020b"><td class="mdescLeft">&#160;</td><td class="mdescRight">méthode de création d'un log de type succés  <a href="#ab2e095f380888b1b6f301da32adc020b">Plus de détails...</a><br /></td></tr>
<tr class="separator:ab2e095f380888b1b6f301da32adc020b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a032429cc7d0cad047ef5ebaee5db9427"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="log_8hpp.html#a032429cc7d0cad047ef5ebaee5db9427">LogWarning</a> (string filename, string message)</td></tr>
<tr class="memdesc:a032429cc7d0cad047ef5ebaee5db9427"><td class="mdescLeft">&#160;</td><td class="mdescRight">méthode de création d'un log de type alerte  <a href="#a032429cc7d0cad047ef5ebaee5db9427">Plus de détails...</a><br /></td></tr>
<tr class="separator:a032429cc7d0cad047ef5ebaee5db9427"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4db8d88ba4dc1f5ff2cf1dfd1160e47"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="log_8hpp.html#af4db8d88ba4dc1f5ff2cf1dfd1160e47">LogError</a> (string filename, string message)</td></tr>
<tr class="memdesc:af4db8d88ba4dc1f5ff2cf1dfd1160e47"><td class="mdescLeft">&#160;</td><td class="mdescRight">méthode de création d'un log de type erreur  <a href="#af4db8d88ba4dc1f5ff2cf1dfd1160e47">Plus de détails...</a><br /></td></tr>
<tr class="separator:af4db8d88ba4dc1f5ff2cf1dfd1160e47"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d5e8bb226ad6b4b648f013962a6d6cf"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="log_8hpp.html#a5d5e8bb226ad6b4b648f013962a6d6cf">LogMarker</a> (string filename, string message)</td></tr>
<tr class="memdesc:a5d5e8bb226ad6b4b648f013962a6d6cf"><td class="mdescLeft">&#160;</td><td class="mdescRight">méthode de création d'un log de type point de marquage  <a href="#a5d5e8bb226ad6b4b648f013962a6d6cf">Plus de détails...</a><br /></td></tr>
<tr class="separator:a5d5e8bb226ad6b4b648f013962a6d6cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Description détaillée</h2>
<div class="textblock"><p>Module de log de debogage. </p>
<dl class="section author"><dt>Auteur</dt><dd>Arnaud Orlay (<a href="#" onclick="location.href='mai'+'lto:'+'arn'+'au'+'d.o'+'rl'+'ay@'+'et'+'u.u'+'ni'+'v-o'+'rl'+'ean'+'s.'+'fr'; return false;">arnau<span style="display: none;">.nosp@m.</span>d.or<span style="display: none;">.nosp@m.</span>lay@e<span style="display: none;">.nosp@m.</span>tu.u<span style="display: none;">.nosp@m.</span>niv-o<span style="display: none;">.nosp@m.</span>rlea<span style="display: none;">.nosp@m.</span>ns.fr</a>) </dd>
<dd>
Erwan Aubry (<a href="#" onclick="location.href='mai'+'lto:'+'erw'+'an'+'.au'+'br'+'y@e'+'tu'+'.un'+'iv'+'-or'+'le'+'ans'+'.f'+'r'; return false;">erwan<span style="display: none;">.nosp@m.</span>.aub<span style="display: none;">.nosp@m.</span>ry@et<span style="display: none;">.nosp@m.</span>u.un<span style="display: none;">.nosp@m.</span>iv-or<span style="display: none;">.nosp@m.</span>lean<span style="display: none;">.nosp@m.</span>s.fr</a>) </dd>
<dd>
Marion Juré (<a href="#" onclick="location.href='mai'+'lto:'+'mar'+'io'+'n.j'+'ur'+'e@e'+'tu'+'.un'+'iv'+'-or'+'le'+'ans'+'.f'+'r'; return false;">mario<span style="display: none;">.nosp@m.</span>n.ju<span style="display: none;">.nosp@m.</span>re@et<span style="display: none;">.nosp@m.</span>u.un<span style="display: none;">.nosp@m.</span>iv-or<span style="display: none;">.nosp@m.</span>lean<span style="display: none;">.nosp@m.</span>s.fr</a>) </dd></dl>
<dl class="section version"><dt>Version</dt><dd>0.1 </dd></dl>
<dl class="section date"><dt>Date</dt><dd>2020-03-25</dd></dl>
<dl class="section copyright"><dt>Copyright</dt><dd>Copyright (c) 2020 </dd></dl>

<p class="definition">Définition dans le fichier <a class="el" href="log_8hpp_source.html">log.hpp</a>.</p>
</div><h2 class="groupheader">Documentation des macros</h2>
<a id="a49bce9dafa991fde5616257caa9e3c4a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a49bce9dafa991fde5616257caa9e3c4a">&#9670;&nbsp;</a></span>DEBUG_ERROR</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define DEBUG_ERROR&#160;&#160;&#160;true</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="log_8hpp_source.html#l00024">24</a> du fichier <a class="el" href="log_8hpp_source.html">log.hpp</a>.</p>

</div>
</div>
<a id="a4407b4d6eae3ba7fe9538b1242a7e165"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4407b4d6eae3ba7fe9538b1242a7e165">&#9670;&nbsp;</a></span>DEBUG_INFO</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define DEBUG_INFO&#160;&#160;&#160;true</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="log_8hpp_source.html#l00021">21</a> du fichier <a class="el" href="log_8hpp_source.html">log.hpp</a>.</p>

</div>
</div>
<a id="a02736c2650b0ed5f197cae5207ff6e35"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a02736c2650b0ed5f197cae5207ff6e35">&#9670;&nbsp;</a></span>DEBUG_MARKER</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define DEBUG_MARKER&#160;&#160;&#160;true</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="log_8hpp_source.html#l00025">25</a> du fichier <a class="el" href="log_8hpp_source.html">log.hpp</a>.</p>

</div>
</div>
<a id="a22ae4c4cebea059bbe99204f8623dc44"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a22ae4c4cebea059bbe99204f8623dc44">&#9670;&nbsp;</a></span>DEBUG_SUCCESS</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define DEBUG_SUCCESS&#160;&#160;&#160;true</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="log_8hpp_source.html#l00022">22</a> du fichier <a class="el" href="log_8hpp_source.html">log.hpp</a>.</p>

</div>
</div>
<a id="a8a4e4885193c12b840ff3cbedec2451d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8a4e4885193c12b840ff3cbedec2451d">&#9670;&nbsp;</a></span>DEBUG_WARNING</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define DEBUG_WARNING&#160;&#160;&#160;true</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="log_8hpp_source.html#l00023">23</a> du fichier <a class="el" href="log_8hpp_source.html">log.hpp</a>.</p>

</div>
</div>
<a id="ab240226bb68975ee0f31899f188c71a7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab240226bb68975ee0f31899f188c71a7">&#9670;&nbsp;</a></span>FOREGROUND_CYAN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define FOREGROUND_CYAN&#160;&#160;&#160;&quot;36m&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="log_8hpp_source.html#l00028">28</a> du fichier <a class="el" href="log_8hpp_source.html">log.hpp</a>.</p>

</div>
</div>
<a id="a5a8d63e9fa43af8f83e9009a6dabd379"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5a8d63e9fa43af8f83e9009a6dabd379">&#9670;&nbsp;</a></span>FOREGROUND_GRAY</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define FOREGROUND_GRAY&#160;&#160;&#160;&quot;90m&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="log_8hpp_source.html#l00032">32</a> du fichier <a class="el" href="log_8hpp_source.html">log.hpp</a>.</p>

</div>
</div>
<a id="ac7e7564b3b0cf8504f5af0f1330d1134"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac7e7564b3b0cf8504f5af0f1330d1134">&#9670;&nbsp;</a></span>FOREGROUND_GREEN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define FOREGROUND_GREEN&#160;&#160;&#160;&quot;32m&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="log_8hpp_source.html#l00029">29</a> du fichier <a class="el" href="log_8hpp_source.html">log.hpp</a>.</p>

</div>
</div>
<a id="abadd0d9f6ba46167da47ff05d65915ac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abadd0d9f6ba46167da47ff05d65915ac">&#9670;&nbsp;</a></span>FOREGROUND_MAGENTA</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define FOREGROUND_MAGENTA&#160;&#160;&#160;&quot;35m&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="log_8hpp_source.html#l00033">33</a> du fichier <a class="el" href="log_8hpp_source.html">log.hpp</a>.</p>

</div>
</div>
<a id="a1ee9d42c453a5b8529e5d492d4abb17f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1ee9d42c453a5b8529e5d492d4abb17f">&#9670;&nbsp;</a></span>FOREGROUND_ORANGE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define FOREGROUND_ORANGE&#160;&#160;&#160;&quot;33m&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="log_8hpp_source.html#l00030">30</a> du fichier <a class="el" href="log_8hpp_source.html">log.hpp</a>.</p>

</div>
</div>
<a id="aef543dc7ad78ec1b81e744bff6c9c075"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aef543dc7ad78ec1b81e744bff6c9c075">&#9670;&nbsp;</a></span>FOREGROUND_RED</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define FOREGROUND_RED&#160;&#160;&#160;&quot;31m&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="log_8hpp_source.html#l00031">31</a> du fichier <a class="el" href="log_8hpp_source.html">log.hpp</a>.</p>

</div>
</div>
<a id="ab702106cf3b3e96750b6845ded4e0299"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab702106cf3b3e96750b6845ded4e0299">&#9670;&nbsp;</a></span>RESET</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define RESET&#160;&#160;&#160;&quot;\033[00;m&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="log_8hpp_source.html#l00034">34</a> du fichier <a class="el" href="log_8hpp_source.html">log.hpp</a>.</p>

</div>
</div>
<a id="a7ce3d6fee94f21c9e3d0ffdd90aadc2e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7ce3d6fee94f21c9e3d0ffdd90aadc2e">&#9670;&nbsp;</a></span>STYLE_BOLD</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define STYLE_BOLD&#160;&#160;&#160;&quot;\033[01;&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="log_8hpp_source.html#l00027">27</a> du fichier <a class="el" href="log_8hpp_source.html">log.hpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Documentation des fonctions</h2>
<a id="af4db8d88ba4dc1f5ff2cf1dfd1160e47"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af4db8d88ba4dc1f5ff2cf1dfd1160e47">&#9670;&nbsp;</a></span>LogError()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void LogError </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>filename</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>message</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>méthode de création d'un log de type erreur </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">filename</td><td>le fichier concerné </td></tr>
    <tr><td class="paramname">message</td><td>le message </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="af7b103f090258a8569cd05d802726b0d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af7b103f090258a8569cd05d802726b0d">&#9670;&nbsp;</a></span>LogInfo()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void LogInfo </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>filename</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>message</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>méthode de création d'un log de type informatif </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">filename</td><td>le fichier concerné </td></tr>
    <tr><td class="paramname">message</td><td>le message </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a5d5e8bb226ad6b4b648f013962a6d6cf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5d5e8bb226ad6b4b648f013962a6d6cf">&#9670;&nbsp;</a></span>LogMarker()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void LogMarker </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>filename</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>message</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>méthode de création d'un log de type point de marquage </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">filename</td><td>le fichier concerné </td></tr>
    <tr><td class="paramname">message</td><td>le message </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ab2e095f380888b1b6f301da32adc020b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab2e095f380888b1b6f301da32adc020b">&#9670;&nbsp;</a></span>LogSuccess()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void LogSuccess </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>filename</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>message</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>méthode de création d'un log de type succés </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">filename</td><td>le fichier concerné </td></tr>
    <tr><td class="paramname">message</td><td>le message </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a032429cc7d0cad047ef5ebaee5db9427"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a032429cc7d0cad047ef5ebaee5db9427">&#9670;&nbsp;</a></span>LogWarning()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void LogWarning </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>filename</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>message</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>méthode de création d'un log de type alerte </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">filename</td><td>le fichier concerné </td></tr>
    <tr><td class="paramname">message</td><td>le message </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Généré par &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
